body{
    --hopland-digital-blue: #00c6ff;
    --hopland-digital-blue-dark: #0072ff;
    --hopland-digital-blue-light: #00c6ff;

    --hopland-digital-orange: #ff9c28;
    --hopland-digital-orange-dark: #ff6a00;
    --hopland-digital-orange-lighter: #ff9c28;
    --hopland-digital-orange-light: #ff8a00;


    --hopland-digital-red: #ff0000;
    --hopland-digital-red-dark: #aa0000;
    --hopland-digital-red-light: #ff2f2f;

    --hopland-digital-green: #00ff8c;
    --hopland-digital-green-dark: #00aa5e;
    --hopland-digital-green-light: #00ff8c;



    --hopland-digital-weak-grey: #4a4a4a;
    --hopland-digital-grey: #2d2d2d;
    --hopland-digital-strong-grey: #1e1e1e;

    --hopland-digital-off-white: rgb(231, 231, 231);;
    --hopland-digital-weaker-white: rgb(204, 204, 204);; 
}

.oppdrag-summary-container{
    position: fixed  ;
    width: 100%;
    height: 200px;
    height: 153px;
    display: flex;
    justify-content: center;
    align-items: center;
    align-items: end;
    align-items: start;
    z-index: 1000;
    left: 0px;
    top: 0px;
    height: 74px;
    top: 79px;
    top:114px;
}
.oppdrag-summary{
    /* position: fixed; */
    top: 0px;
    /* max-width: 42em; */
    width: 100% !important;
    /* width: 95% !important */;
    backdrop-filter: blur(7px);
    padding-top: 5px;
    padding-bottom: 5px;
    padding-left: 20px;
    padding-right: 20px;
    z-index: 1000;
    background-color: rgba(43, 43, 43, 0.45);
    background-color: rgba(255, 255, 255, 0.97);
    background-color: rgba(212, 212, 212, 0.97);
    background-color: rgba(238, 238, 238, 0.97);
    background-color: rgba(28, 28, 28, 0.97);
    border: 1px solid var(--hopland-digital-weak-grey);
    border: 1px solid rgba(74, 74, 74, 0.4);
    border: 1px solid rgba(74, 74, 74, 0.18);
    border-radius: 5px;
    transform: translate(0, 0px) scale(0.8);
    top: 82px;
    transition-duration: 0.3s;

    display: grid;
    grid-template-columns: 150px 100px 1fr;
    grid-template-columns: 210px 100px 1fr;
    grid-template-columns: 222px 100px 1fr;

    grid-template-rows: 40px 0px 0fr;


    height: 50px;
    contain: strict;

}

.oppdrag-summary div, .oppdrag-summary p, .oppdrag-summary table{
    transition-duration: 0.3s;
}

.oppdrag-summary:hover{
    transform: translate(0, 0px) scale(0.85);
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2);
    grid-template-rows: 40px 28px 1fr;
    border: 1px solid rgba(74, 74, 74, 0.8);
    height: 120px;

}

.oppdrag-status-container{
    display: flex;
    justify-content: start;
    align-items: center;
    color: var(--hopland-digital-weak-grey);
}
.oppdrag-status-container p{
    margin: 0px;
    opacity: 1;
}
.oppdrag-status-indicator{
    height: 20px;
    width: 5px;

    border-radius: 10px;
    margin-right: 10px;
    margin-left: 10px;
    background-color: var(--hopland-digital-weak-grey);
    box-shadow: inset 0 0 10px var(--hopland-digital-weak-grey);
}

@media screen and (max-width: 768px){
    .oppdrag-summary-container{
        height: 200px;
        height: 114px;
        height: 75px;
        top: 79px;

    }
    .oppdrag-summary{
        grid-template-columns: 60px 100px 1fr;
    }
    .oppdrag-status-container p{
        display: none;
        opacity: 0;
    }
}

@media screen and (max-width: 600px){
    .oppdrag-summary{
        grid-template-columns: 30px 50px 1fr;
    }
    .oppdrag-status-container p{
        display: none;
        opacity: 0;
    }
}

/*
BLUE 🟦
*/

.active .oppdrag-status-indicator{
    background-color: var(--hopland-digital-blue);
    background-color: #9ae9ff;
    background-color: #c7f2ff;
    box-shadow: 0 0 10px #00c6ff, 0 0 2px rgba(255, 255, 255, 0.36) inset;
    box-shadow: 0 0 4px #4ed4fb, 0 0 2px 1px rgba(145, 234, 255, 0.93) inset;

    box-shadow: 0 0 3px 2px #4ed4fb, 0 0 2px 1px rgba(145, 234, 255, 0.68) inset;
    box-shadow: 0 0 3px 1px #4ed4fb, 0 0 2px 0px rgba(145, 234, 255, 0.68) inset;
    background-color: #57d5ff;
    box-shadow: inset 0 0 3px var(--hopland-digital-blue-light), 0 0 3px var(--hopland-digital-blue-light);

}

/*
Orange 🟧
*/

.standby .oppdrag-status-indicator{
    background-color: var(--hopland-digital-orange);
    background-color: #d8d8d8;
    background-color: #f0f0f0;
    background-color: #f0f0f0;
    box-shadow: inset 0 0 3px var(--hopland-digital-orange-light), 0 0 3px var(--hopland-digital-orange-light);
}

.processing .oppdrag-status-indicator{
    background-color: var(--hopland-digital-orange);
    background-color: #d8d8d8;
    background-color: #f0f0f0;
    background-color: #f0f0f0;
    box-shadow: inset 0 0 3px var(--hopland-digital-orange-light), 0 0 3px var(--hopland-digital-orange-light);
}


/*
RED 🟥
*/
.rejected .oppdrag-status-indicator{
    background-color: var(--hopland-digital-red);
    background-color: #ff9a9a;
    background-color: #ff9a9a;
    background-color: #ff9a9a;
    box-shadow: inset 0 0 3px var(--hopland-digital-red-light);
}
.cancelled .oppdrag-status-indicator{
    background-color: var(--hopland-digital-red);
    background-color: #ff9a9a;
    background-color: #ff9a9a;
    background-color: #ff9a9a;
    box-shadow: inset 0 0 3px var(--hopland-digital-red-light), 0 0 3px var(--hopland-digital-red-light);
}

/*
GREEN 🟩
*/
.completed .oppdrag-status-indicator{
    background-color: var(--hopland-digital-green);
    background-color: #9aff9a;
    background-color: #9aff9a;
    background-color: #9aff9a;
    box-shadow: inset 0 0 3px var(--hopland-digital-green-light), 0 0 3px var(--hopland-digital-green-light);
}

.confirmed .oppdrag-status-indicator{
    background-color: var(--hopland-digital-green);
    background-color: #9aff9a;
    background-color: #9aff9a;
    background-color: #9aff9a;
    box-shadow: inset 0 0 3px var(--hopland-digital-green-light), 0 0 3px var(--hopland-digital-green-light);
}



.oppdrag-action-bar{
    grid-column: 1 / 4;
    grid-row: 2/3;
    height:0px;
    opacity: 0;
}

.oppdrag-summary:hover .oppdrag-action-bar{
    height: 28px;
    opacity: 1;
}


.oppdrag-navn{
    display: flex;
    align-items: center;
    justify-content: start;
}
.oppdrag-navn p, .oppdrag-navn input{
    font-size: 1.2em;
    font-weight: 100;
    color: var(--hopland-digital-weaker-white);
    margin: 0px;
    background-color: transparent;
    width: 100%;
}

.oppdrag-navn input:focus{
    /* border: 0px;
    border-bottom: 1px solid var(--hopland-digital-blue);
    outline-offset: 2px;
    outline-color: transparent;
    background-color: rgba(0, 0, 0, 0.06);
    box-shadow: 0px 4px 2px -2px var(--hopland-digital-blue-transparent);



    border: 0px;
    border-bottom: 1px solid var(--hopland-digital-blue);
    outline-offset: 2px;
    outline-color: var(--hopland-digital-blue-transparent) !important;
    outline-color: transparent;
    background-color: rgba(0, 0, 0, 0.06);
    box-shadow: 0px 4px 2px -2px var(--hopland-digital-blue-transparent);
    border-color: var(--hopland-digital-blue);
    outline-style: inset;
    outline-width: 1px;
    border-radius: 4px; */
    background-color: rgba(0, 0, 0, 0.06);
    box-shadow: 0px 4px 2px -2px var(--hopland-digital-blue-transparent);
    border-color: var(--hopland-digital-blue);
    outline-style: inset;
    outline-width: 1px;
    border: 1px;
    border-top: 1px;
    border-radius: 5px;
}

.oppdrag-info-tabell{
    display:none;
    grid-column: 1 / 4;
    grid-row: 3/4;
    width: 100%;
    border-collapse: collapse;
    border-spacing: 0;
    margin-top: 10px;

    contain: content;
    opacity: 0;
    height: 0px;
    backdrop-filter: blur(7px);
}

.oppdrag-summary:hover .oppdrag-info-tabell{
    opacity: 1;
    height: 100%;
}



.custom-oppdrag-nav{
    grid-column-start: 1;
    grid-column-end: 4;
    /* justify-content: space-evenly !important; */
    grid-row-start: 3;
    transform: translateY(7px);
    height: 42px;
}